/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is the Mozilla MathML Editor.
 *
 * The Initial Developer of the Original Code is
 * MacKichan Software, Inc.
 * Portions created by the Initial Developer are Copyright (C) 2002
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Steve Swanson (steve.swanson@mackichan.com)
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

// mathmledSpace.js - code to run the Space dialog

var target;
var space;

function onOK() {
  switch (space) {
  case 0:  // NonBreakingSpace
    target.val = "\u00A0";
    break;
  case 1:  // ZeroWidthSpace
    target.val = "\u200B";
    break;
  case 2:  // VeryThinSpace
    target.val = "\u200A";
    break;
  case 3:  // ThinSpace
    target.val = "\u2009";
    break;
  case 4:  // MediumSpace
    target.val = "\u205F";
    break;
  case 5:  // ThickSpace
    target.val = "\uEEF2";
    break;
  case 6:  // NegativeVeryThinSpace
    target.val = "\uEEF4";
    break;
  case 7:  // NegativeThinSpace
    target.val = "\uEEF3";
    break;
  case 8:  // NegativeMediumSpace
    target.val = "\uEEF5";
    break;
  case 9:  // NegativeThickSpace
    target.val = "\uEEF1";
    break;
  default:
    target.val = "";  // impossible
    break;
  }
  return(true);
}

function onCancel() {
  target.val = "";
  return(true);
}

function Startup() {
  target = window.arguments[0];
  space = 0;
}

function selectSpace(n) {
  space = n;
}

